import { SimpleLocalIntegration } from '../../core/index.js';
import { CpuspeedConfigFlow } from './cpuspeed.classes.configflow.js';
import { createCpuspeedDiscoveryDescriptor } from './cpuspeed.discovery.js';
import type { ICpuspeedConfig } from './cpuspeed.types.js';
import { cpuspeedDomain, cpuspeedProfile } from './cpuspeed.types.js';

export class CpuspeedIntegration extends SimpleLocalIntegration<ICpuspeedConfig> {
  public readonly domain = cpuspeedDomain;
  public readonly discoveryDescriptor = createCpuspeedDiscoveryDescriptor();
  public readonly configFlow = new CpuspeedConfigFlow();

  constructor() {
    super(cpuspeedProfile);
  }
}

export class HomeAssistantCpuspeedIntegration extends CpuspeedIntegration {}
